<?php

namespace lib\Entities;

use lib\Core\Entity as Core;

class CommonEntity extends Core
{
    public function __construct($datas)
    {
        parent::__construct($datas);
    } //
    public function getPK(): string
    {
        $field = constant("static::PKField");
        return $this->$field;
    }
    public function getTitle(): string
    {
        $field = constant("static::TitleField");
        return $this->$field;
    }
    public function getPairKey(): string
    {
        $field = constant("static::PairField");
        return $this->$field;
    }
    public function getCreatedAt(): string
    {
        return $this->created_at;
    } //
    //공통부분
} //Class
